document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');
  
  mobileMenu.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Sample tasks data
  const tasks = [
    { id: 1, title: 'Complete project proposal', done: false },
    { id: 2, title: 'Morning exercise', done: true },
    { id: 3, title: 'Read for 30 minutes', done: false }
  ];

  // Render tasks
  const taskList = document.getElementById('taskList');
  if (taskList) {
    tasks.forEach(task => {
      const li = document.createElement('li');
      li.innerHTML = `
        <input type="checkbox" ${task.done ? 'checked' : ''}>
        <span>${task.title}</span>
      `;
      taskList.appendChild(li);
    });
  }

  // Habit grid generation
  const habitGrid = document.getElementById('habitGrid');
  if (habitGrid) {
    const habits = ['Exercise', 'Reading', 'Meditation'];
    const days = ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'];
    
    const grid = document.createElement('div');
    grid.style.display = 'grid';
    grid.style.gridTemplateColumns = 'repeat(8, 1fr)';
    
    // Add header row
    grid.appendChild(document.createElement('div'));
    days.forEach(day => {
      const cell = document.createElement('div');
      cell.textContent = day;
      grid.appendChild(cell);
    });
    
    // Add habit rows
    habits.forEach(habit => {
      const habitCell = document.createElement('div');
      habitCell.textContent = habit;
      grid.appendChild(habitCell);
      
      // Add checkboxes for each day
      for (let i = 0; i < 7; i++) {
        const cell = document.createElement('div');
        const checkbox = document.createElement('input');
        checkbox.type = 'checkbox';
        cell.appendChild(checkbox);
        grid.appendChild(cell);
      }
    });
    
    habitGrid.appendChild(grid);
  }

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});
